<?php
/**
 * Combination Discounts Promotion Page
 * 
 * @package page
 * @copyright Copyright 2007 That Software Guy
 * @copyright Portions Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 1.3 $
 */

  $_SESSION['navigation']->remove_current_page();

  require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));

// include template specific file name defines
  $define_page = zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] . '/html_includes/', FILENAME_DEFINE_COMBO_PROMO, 'false');

  $breadcrumb->add(NAVBAR_TITLE);
  
  $value = "ot_combination_discounts.php";
  include_once(zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] .
          '/modules/order_total/', $value, 'false'));
  include_once(DIR_WS_MODULES . "order_total/" . $value);
  $discount = new ot_combination_discounts();
  if ($discount->check() > 0) { 
   
     global $order, $currencies;
     $marketing_data = array(); 
   
     foreach ($discount->rulelist as $rule) {
        $cond_relevant = 0;
        foreach ($rule->cond_list as $cond) {
           if ($cond->flavor == PROD) {
              $cond_relevant = PROD;
              break;
           } else if ($cond->flavor == PRICE) {
              $cond_relevant = PRICE;
              break;
           } else { // if ($cond->flavor == CAT)
              $cond_relevant = CAT;
              break;
           }
        }
        if ($cond_relevant != 0) {
           $disc_string = NBT_BUY; 
           foreach ($rule->cond_list as $cond) {
              $disc_string .= $cond->quantity . " "; 
              $secondlink = true; 
              if ($cond->flavor == PROD) {
                 $disc_link = '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $cond->id).'">'. zen_get_products_name($cond->id, $_SESSION['languages_id']).'</a>';
              } else if ($cond->flavor == PRICE) {
               $price = $cond->id; 
               $curr_price = $currencies->format($price, true, $order->info['currency'], $order->info['currency_value']);
                if ($cond->quantity  == 1) {
                   $disc_link = sprintf(NBT_PRICED_ITEM, $curr_price); 
                } else {
                   $disc_link = sprintf(NBT_PRICED_ITEMS, $curr_price); 
                }
              } else if ($cond->flavor == CAT) {
                 $disc_link = '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $cond->id).'">'. zen_get_category_name($cond->id, $_SESSION['languages_id']).'</a>';
              } 
              $disc_string .= $disc_link; 
              $disc_string.= ", "; 
           }
           $disc = $rule->disc; 
           if ($disc->flavor == PROD) {
                 if ($disc->quantity == 1) {
                    $disc_link = NBT_GET_ONE; 
                 } else if ($disc->quantity == "*") {
                    $disc_link = NBT_GET_UNLIMITED; 
                 } else {
                     $disc_link = sprintf(NBT_GET_MANY, $disc->quantity);  
                 }
                 $disc_link .= '<a href="'.zen_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $disc->id).'">'. zen_get_products_name($disc->id, $_SESSION['languages_id']).'</a>';
           } else if ($disc->flavor == PRICE) {
                 if ($disc->quantity == 1) {
                    $disc_link = NBT_GET_ONE; 
                 } else if ($disc->quantity == "*") {
                    $disc_link = NBT_GET_UNLIMITED; 
                 } else {
                     $disc_link = sprintf(NBT_GET_MANY, $disc->quantity);  
                 }
                 $curr_price = $currencies->format($disc->id, true, $order->info['currency'], $order->info['currency_value']);
                 if ($disc->quantity == 1) {
                    $disc_link .= sprintf(NBT_PRICED_ITEM, $curr_price); 
                 } else { 
                    $disc_link .= sprintf(NBT_PRICED_ITEMS, $curr_price); 
                 }
           } else if ($disc->flavor == CAT) { 
                 if ($disc->quantity == 1) {
                    $disc_link = NBT_GET_CAT_ONE; 
                 } else if ($disc->quantity == "*") {
                    $disc_link = NBT_GET_CAT_UNLIMITED; 
                 } else {
                     $disc_link = sprintf(NBT_GET_CAT_MANY, $disc->quantity);  
                 }
                 $disc_link .= '<a href="'.zen_href_link(FILENAME_DEFAULT, 'cPath=' . $disc->id).'">'. zen_get_category_name($disc->id, $_SESSION['languages_id']).'</a>';
           }
           $disc_string .= $disc_link; 
           $disc_string .= " ";
           if ($rule->type == "%") {
               if ($rule->amount != 100) {
                  $str_amt = $rule->amount . "%"; 
                  $off_string = sprintf(NBT_OFF_STRING_PCT, $str_amt);
               } else {
                  $off_string = NBT_FREE_STRING;
               }
               $disc_string .= $off_string;
           } else {
               $curr_string = $currencies->format($rule->amount, true, $order->info['currency'], $order->info['currency_value']);
               $off_string = sprintf(NBT_OFF_STRING_CURR, $curr_string); 
               $disc_string .= $off_string;
           }
           $marketing_data[] = $disc_string;
        }
     }
  }
?>
